KUBERNETES(1)

NAME

kubeadm upgrade diff - Show what differences would be applied to existing static pod manifests. See also: kubeadm upgrade apply --dry-run

SYNOPSIS

kubeadm upgrade diff [OPTIONS]

DESCRIPTION

Show what differences would be applied to existing static pod manifests. See also: kubeadm upgrade apply --dry-run

OPTIONS

--api-server-manifest="/etc/kubernetes/manifests/kube-apiserver.yaml"
    path to API server manifest

--config=""
    Path to a kubeadm configuration file.

-c, --context-lines=3
    How many lines of context in the diff

--controller-manager-manifest="/etc/kubernetes/manifests/kube-controller-manager.yaml"
    path to controller manifest

--scheduler-manifest="/etc/kubernetes/manifests/kube-scheduler.yaml"
    path to scheduler manifest

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-upgrade(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!